---
require:
- rubocop-performance
- rubocop-rake
- rubocop-rspec

AllCops:
  TargetRubyVersion: 2.7
  NewCops: enable
  Exclude:
  - notes/*

Layout/HashAlignment:
  EnforcedColonStyle: table
  EnforcedHashRocketStyle: table

Layout/LineLength:
  Max: 120

Metrics/BlockLength:
  Exclude:
  - garden-party-trusted-data.gemspec
  - spec/**/*_spec.rb
  - tasks/*.rb

RSpec/NestedGroups:
  Max: 4

Style/SymbolArray:
  EnforcedStyle: brackets

Style/TrailingCommaInArrayLiteral:
  EnforcedStyleForMultiline: comma

Style/TrailingCommaInHashLiteral:
  EnforcedStyleForMultiline: comma
